# SXP Reference

SXP_destroyQueryContext | Functions

#### Syntax

         SXP_destroyQueryContext(Q)

Name | Type | Description
--- | --- | ---
`Q` | `QueryContext` | The query context to be deleted.
`(RET)` | `int` | The error code.

#### Description

Destroys a `QueryContext`, freeing all the memory it used, including any `SXP_query` result and the pending variable bindings and namespace declaration lists.

#### See Also

Groups | [ Functions ]
Entries | [ QueryContext | SXP_query ]

© 2001-2003 Ginger Alliance
revision 03-01-31
This page was generated by APIDOC